package com.ruixuan.system.domain;


/**
 * ***************************************************
 *
 * @Auther: zianY
 * @Descipion: 地区信息表
 * @CreateDate: 2022-05-24
 * ****************************************************
 */



public class SysAreaInfo {


    private Long id;

    //地区名称
    private String name;

    private int code;

    //父id
    private int parentCode;


    //级别
    private int level;

    private String createTime;

    private String updateTime;


    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public int getCode() {
        return code;
    }

    public void setCode(int code) {
        this.code = code;
    }

    public int getParentCode() {
        return parentCode;
    }

    public void setParentCode(int parentCode) {
        this.parentCode = parentCode;
    }

    public int getLevel() {
        return level;
    }

    public void setLevel(int level) {
        this.level = level;
    }

    public String getCreateTime() {
        return createTime;
    }

    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    public String getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(String updateTime) {
        this.updateTime = updateTime;
    }

    @Override
    public String toString() {
        return "SysAreaInfo{" +
                    "id=" + id +
                    ", name='" + name + '\'' +
                    ", code=" + code +
                    ", parentCode=" + parentCode +
                    ", level=" + level +
                    ", createTime=" + createTime +
                    ", updateTime='" + updateTime + '\'' +
                    '}';
    }
}
